/*
 * CONTRAT DE LICENCE DE LOGICIEL LIBRE CeCILL-B
 * https://cecill.info/licences/Licence_CeCILL-B_V1-fr.html
 */
package fr.unistra.sil.erp.back.db;

import fr.unistra.sil.erp.back.api.model.Item;
import java.util.List;

/**
 * Standard interface for database implementations.
 * 
 * This interface allows the application to be able to use different
 * database systems (CSV, SQLite, MySQL...) by simply switching
 * implementations.
 * @author BEAUVAIS ANTOINE <antoine.beauvais@etu.unistra.fr>
 */
public interface DatabaseInterface {
    
    /**
     * Returns the list of all items.
     * @return the list of all items.
     */
    public List<Item> getAllItems();
    
}
